package com.group.robot;

import com.group.robot.info.RobotInfo;

/**
 * 机器人处理器接口 - 只负责连接管理和协议转发
 */
public interface RobotManagerInterface {
    /**
     * 连接机器人到游戏服务器
     */
    void connectRobot(RobotInfo robot);
    
    /**
     * 断开机器人连接
     */
    void disconnectRobot(RobotInfo robot);

}